com.trendmicro.ds.platform.rest.object.scheduledtask

## Class ModifyAdministratorsListResponse

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.scheduledtask.ModifyAdministratorsListResponse

-     public class ModifyAdministratorsListResponse
      extends java.lang.Object

  Response object for the ModifyAdministratorsList API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModifyAdministratorsListResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ModifyAdministratorsListResponse` | `addAdministrator(java.lang.Integer administrator)` Add an administrator to the list.
    `java.util.List<java.lang.Integer>` | `getAdministrators()` Get the administrators list.
    `void` | `setAdministrators(java.util.List<java.lang.Integer> administrators)` Set the administrators list.
    `ModifyAdministratorsListResponse` | `withAdministrators(java.lang.Integer... administrators)` Set the administrators list.
    `ModifyAdministratorsListResponse` | `withAdministrators(java.util.List<java.lang.Integer> administrators)` Set the administrators list.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModifyAdministratorsListResponse

          public ModifyAdministratorsListResponse()

  - ### Method Detail

    - #### getAdministrators

          public java.util.List<java.lang.Integer> getAdministrators()

      Get the administrators list.
      Returns:
        the administrators list.

    - #### setAdministrators

          public void setAdministrators(java.util.List<java.lang.Integer> administrators)

      Set the administrators list.
      Parameters:
        `administrators` - the administrators list to set.

    - #### withAdministrators

          public ModifyAdministratorsListResponse withAdministrators(java.util.List<java.lang.Integer> administrators)

      Set the administrators list.
      Parameters:
        `administrators` - the administrators list to set.
      Returns:
        the updated ModifyAdministratorsListResponse object.

    - #### withAdministrators

          public ModifyAdministratorsListResponse withAdministrators(java.lang.Integer... administrators)

      Set the administrators list.
      Parameters:
        `administrators` - the administrators list to set.
      Returns:
        the updated ModifyAdministratorsListResponse object.

    - #### addAdministrator

          public ModifyAdministratorsListResponse addAdministrator(java.lang.Integer administrator)

      Add an administrator to the list.
      Parameters:
        `administrator` - the administrator to add.
      Returns:
        the updated ModifyAdministratorsListResponse object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.